Bug 228953 - Early microcode loading on x86 (in kernel: early boot and on resume)
Summary: Early microcode loading on x86 (in kernel: early boot and on resume)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Johnston
URL: https://reviews.freebsd.org/D16370
Keywords:
Depends on:
Blocks: 228911
  Show dependency treegraph
 
Reported: 2018-06-12 15:54 UTC by Rodney W. Grimes
Modified: 2018-08-30 15:55 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney W. Grimes freebsd_committer 2018-06-12 15:54:15 UTC
Early microcode loading on x86 (in kernel: early boot and on resume)
Comment 1 Ed Maste freebsd_committer 2018-07-24 15:30:45 UTC
D16370 Implement early microcode loading for Intel i386 and amd64 platforms.
https://reviews.freebsd.org/D16370
Comment 2 Mark Johnston freebsd_committer 2018-08-30 14:09:11 UTC
Initial support landed in r337715.  The devcpu-data port has also been updated to provide Intel microcode updates as a single blob.

I will mark this fixed since I've done all that I'm going to do for 12.0.  We still need to implement support for loading AMD microcode, but there is less demand for this.
Comment 3 Conrad Meyer freebsd_committer 2018-08-30 14:49:22 UTC
Should we clone a related bug (that doesn't block the 12 tracking bug) to cover early loading of AMD microcode?
Comment 4 Ed Maste freebsd_committer 2018-08-30 14:51:42 UTC
(In reply to Conrad Meyer from comment #3)
I think so, yes.
Comment 5 Mark Johnston freebsd_committer 2018-08-30 14:54:16 UTC
(In reply to Conrad Meyer from comment #3)
I was halfway through creating one and got distracted. :(

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=231024
Comment 6 Conrad Meyer freebsd_committer 2018-08-30 15:55:52 UTC
(In reply to Ed Maste from comment #4)
(In reply to Mark Johnston from comment #5)
Thanks!  No real rush.